

::ng-deep .mat-form-field-label {
	/*change color of label*/
	color: var(--input-color) !important;
}

::ng-deep .mat-focused .mat-form-field-label {
	/*change color of label*/
	color: var(--input-color) !important;
}

::ng-deep.mat-form-field-underline {
	/*change color of underline*/
	background-color: var(--input-color) !important;
}

::ng-deep .mat-form-field-appearance-legacy.mat-form-field-disabled .mat-form-field-underline {
	background-image: none !important;
}

::ng-deep.mat-form-field-ripple {
	/*change color of underline when focused*/
	background-color: var(--input-color) !important;
}

::ng-deep .mat-form-field-placeholder {
	background-color: var(--input-color) !important;
}

::ng-deep .mat-focused .mat-form-field-placeholder {
	background-color: var(--input-color) !important;
}

::ng-deep .mat-option-text {
	color: var(--input-color) !important;
}


.requiredAsterisk {
	color: red;
}

.tooltipIcon {
	color: var(--input-color);
	cursor: pointer;
	font-size: 15px;
	width: 15px;
	height: 15px;
	vertical-align: bottom
}

::ng-deep .mat-tooltip{
	font-size: 15px !important;
	white-space: pre-line;
}

.mat-form-field-appearance-legacy .mat-form-field-prefix, .mat-form-field-suffix {
	align-self: flex-end;
}

::ng-deep .tooltipFullWidth {
	max-width: unset !important;
}

.tooltipErrorIcon {
	color: #b30000;
	cursor: pointer;
	font-size: 15px;
	width: 15px;
	height: 15px;
	vertical-align: middle
}

::ng-deep .tooltipErrorMessage {
	color: var(--tooltip-error-message-color) !important;
	background-color: var(--tooltip-error-message-background-color);
	border: 1px solid #BEBEBE !important;
}